You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@nuttx.apache.org by xi...@apache.org on 2020/07/04 04:48:09 UTC

[incubator-nuttx-apps] 03/04: make/import: copy the exported buildin registers

This is an automated email from the ASF dual-hosted git repository.

xiaoxiang pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-nuttx-apps.git

commit a5bae8b8eeae513f882076beeb26e8f48fb90538
Author: chao.an <an...@xiaomi.com>
AuthorDate: Wed Jul 1 14:00:15 2020 +0800

    make/import: copy the exported buildin registers
    
    copy the exported buildin registers to avoid symbols dropping on import build
    
    Change-Id: Ibf184d5d67906b41a2c813b96f61f047e60bacea
    Signed-off-by: chao.an <an...@xiaomi.com>
---
 tools/mkimport.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/tools/mkimport.sh b/tools/mkimport.sh
index be1972f..1c7a7a6 100755
--- a/tools/mkimport.sh
+++ b/tools/mkimport.sh
@@ -95,6 +95,7 @@ fi
 
 WD=${PWD}
 IMPORTDIR=${WD}/import
+BUILTINDIR=${WD}/builtin
 DARCHDIR=${IMPORTDIR}/arch
 DINCDIR=${IMPORTDIR}/include
 DLIBDIR=${IMPORTDIR}/libs
@@ -144,6 +145,7 @@ SLIBDIR=${EXPORTDIR}/libs
 SSCRIPTSDIR=${EXPORTDIR}/scripts
 SSTARTDIR=${EXPORTDIR}/startup
 STOOLSDIR=${EXPORTDIR}/tools
+REGISTERSDIR=${EXPORTDIR}/registry
 
 unset SALLDIRS
 if [ -d ${SARCHDIR} ]; then
@@ -170,6 +172,9 @@ fi
 mv ${SALLDIRS} ${IMPORTDIR}/. || \
 	{ echo "ERROR: Failed to move ${SALLDIRS} to ${IMPORTDIR}"; exit 1; }
 
+cp -rf ${REGISTERSDIR} ${BUILTINDIR}/. || \
+	{ echo "ERROR: Failed to move ${REGISTERSDIR} to ${BUILTINDIR}"; exit 1; }
+
 # Move the .config file in place in the import directory
 
 SFILES=".config"